package com.migao.entity.po;

import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Entity
@Table(name = "t_dictionary")
@org.hibernate.annotations.Table(appliesTo = "t_dictionary", comment = "字典表")
@TableName("t_dictionary")
public class Dictionary implements Serializable {
    @Id
    @TableId(type = IdType.AUTO)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", columnDefinition = "int COMMENT '主键'")
    private Integer id;

    @Column(name = "parent_id", columnDefinition = "bigint(20) comment '父id'")
    private Integer parentId;

    @Column(name = "type", columnDefinition = "varchar(255) comment '类型标识'")
    private String type;

    @Column(name = "description", columnDefinition = "varchar(255) comment '备注'")
    private String description;

    @Column(name = "sort", columnDefinition = "bigint(20) comment '排序'")
    private int sort;

    @Column(name = "value", columnDefinition = "varchar(255) comment '值'")
    private String value;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    @Column(name = "deleted", columnDefinition = "tinyint(4) comment '逻辑删除 0未删除 1已删除'")
    private Integer deleted;

    @Column(name = "create_time", columnDefinition = "timestamp DEFAULT CURRENT_TIMESTAMP comment '创建时间'")
    private LocalDateTime createTime;

    @JoinColumn(name = "create_user_id", columnDefinition = "bigint(20) comment '新增人'")
    private Integer createUserId;
}
