package com.migao.service;

import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.entity.vo.req.ProjectInsertReq;
import com.migao.entity.vo.req.ProjectPageQueryReq;
import com.migao.entity.vo.req.ProjectQueryReq;
import com.migao.entity.vo.req.ProjectUpdateReq;
import com.migao.entity.vo.res.ProjectQueryRes;

import java.util.List;

public interface ProjectService {

    /**
     * 增
     *
     * @param projectInsertReq projectInsertReq
     * @return ?
     */
    ResponseBean<?> insert(ProjectInsertReq projectInsertReq);

    /**
     * 分页查
     *
     * @param projectPageQueryReq projectPageQueryReq
     * @return projectQueryRes
     */
    ResponseBean<PageBean<ProjectQueryRes>> pageQuery(ProjectPageQueryReq projectPageQueryReq);

    /**
     * 删
     *
     * @param id id
     * @return ?
     */
    ResponseBean<?> deleteById(Integer id);

    /**
     * 批量删
     *
     * @param ids ids
     * @return ?
     */
    ResponseBean<?> deleteBatch(List<Integer> ids);

    /**
     * 改
     *
     * @param projectUpdateReq projectUpdateReq
     * @return ?
     */
    ResponseBean<?> update(ProjectUpdateReq projectUpdateReq);

    /**
     * 查
     *
     * @param projectQueryReq
     * @return ?
     */
    ResponseBean<List<ProjectQueryRes>> query(ProjectQueryReq projectQueryReq);
}
